Loading...
Searching...
No Matches
evaluate_switch< This, Result, Arg1, space_constant::last_valued, Arg2, space_constant::last_valued >

## Detailed Description

template<class This, class Result, class Arg1, class Arg2>
struct rheolef::evaluate_switch< This, Result, Arg1, space_constant::last_valued, Arg2, space_constant::last_valued >

Definition at line 774 of file field_expr_recursive.h.

## Public Member Functions

template<class M >
void | operator() (const This &obj, const geo_basic< float_type, M > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, 1 > &value) const

## Member Function Documentation

## operator()()

template<class This , class Result , class Arg1 , class Arg2 >
template<class M >

void operator() | ( | const This & | obj,
|  | const geo_basic< float_type, M > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 778 of file field_expr_recursive.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_expr_recursive.h